<?php
/**
 * Tourable Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Tourable Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function tourable_pro_custom_colors_css() {
  	$options= tourable_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	#top-bar,
	.main-navigation ul ul,
	.main-navigation ul#primary-menu li.current-menu-item > a:after,
	.main-navigation ul#primary-menu > li:hover > a:after,
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	.btn,
	#our-services article:nth-child(2),
	.section-header:after,
	.wp-travel-filter form input[type="submit"],
	.slick-prev,
	.slick-next,
	#travellers-choice .entry-container,
	.destination-slider .slick-prev,
	.destination-slider .slick-next,
	#respond input[type="submit"],
	.backtotop,
	.wp-travel-trip-meta-info,
	.wp-travel.trip-headline-wrapper .wp-travel-booknow-btn,
	.archive.post-type-archive .wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content #primary .wp-travel-explore a,
	input[type="submit"],
	input[type="submit"],
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-toolbar .wp-travel-post-filter .wp-travel-filter-by-heading,
	.widget_wp_travel_filter_search_widget input[type="submit"], 
	.widget_wp_travel_search input[type="submit"],
	.dashboard-tab ul.resp-tabs-list,
	.ws-theme-cart-page .coupon input[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon select[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon textarea[type=submit], 
	.ws-theme-cart-page .actions .book-now-btn, 
	.ws-theme-cart-page button[disabled], 
	.ws-theme-cart-page input[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page select[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page textarea[disabled], 
	.wp-travel-form-field.button-field input[type="submit"], 
	.payment-content input[type="submit"], 
	.dashboard-tab .payment-content input[type="submit"], 
	.dashboard-tab .account-setting input[type="submit"], 
	.wp-travel-default-article .wp-travel-explore a, 
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.main-navigation ul#primary-menu li.current-menu-item > a:after, 
	.main-navigation ul#primary-menu > li:hover > a:after, 
	.main-navigation ul.nav-menu > li.user-logged-in:hover:after,
	.pagination .page-numbers, 
	.pagination .page-numbers.dots:hover, 
	.pagination .page-numbers.dots:focus, 
	.pagination .page-numbers.prev, 
	.pagination .page-numbers.next { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	a,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover, 
	.main-navigation ul.nav-menu > li > a:focus,
	.site-title a,
	.icon-container i,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#our-services .more-link,
	#travellers-choice .btn,
	.destination-item-wrapper .post-title a:hover,
	.destination-item-wrapper .post-title a:focus,
	.destination-item-wrapper .more-link,
	.blog-posts-wrapper .entry-meta .posted-on a,
	.blog-posts-wrapper .entry-title a:hover,
	.blog-posts-wrapper .entry-title a:focus,
	.blog-posts-wrapper .more-link,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.single-wrapper .entry-meta span a:hover,
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	span.edit-link a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.logged-in-as a,
	.wp-travel-trip-code code,
	#wp-travel-send-enquiries,
	.wp-travel-navigation.wp-paging-navigation ul li a,
	.wp-travel-toolbar .wp-travel-view-mode-lists a,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a,
	.wp-travel-default-article .wp-travel-entry-content-wrapper .description-left h2 a,
	.resp-tabs-container .list-item-wrapper a:hover strong, 
	.resp-tabs-container .list-item-wrapper a:focus strong,
	.description-left .entry-meta a:hover, 
	.description-left .entry-meta a:focus {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.main-navigation ul#primary-menu li:hover > svg, 
	.main-navigation ul#primary-menu li:focus > svg, 
	.main-navigation li.menu-item-has-children:hover > a > svg, 
	.main-navigation li.menu-item-has-children > a:hover > svg, 
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search, 
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search, 
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation li.search-menu a:hover svg, 
	.main-navigation li.search-menu a:focus svg, 
	.main-navigation li.search-menu a.search-active svg,
	.icon-container a:hover svg, 
	.icon-container a:focus svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.pagination .prev.page-numbers:hover,
	.loader-container svg,
	.more-link svg,
	svg.icon-menu,
	.menu-open .menu-toggle .icon-close { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	.wp-travel-tab-wrapper .tab-list.resp-tabs-list li.resp-tab-active,
	#wp-travel-send-enquiries,
	.pagination .page-numbers, 
	.pagination .page-numbers.dots:hover, 
	.pagination .page-numbers.dots:focus, 
	.pagination .page-numbers.prev, 
	.pagination .page-numbers.next { 
		border-color: ' . esc_attr($color_value) . '; 
	}
	#secondary .widget > ul li:first-child, 
	#secondary .widget > ul li:hover {
	    border-left-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.dashboard-tab ul.resp-tabs-list li.resp-tab-active {
	    -webkit-box-shadow: inset 2px 0px 0 ' . esc_attr($color_value) . ';
	    box-shadow: inset 2px 0px 0 ' . esc_attr($color_value) . ';
	}';

	$css .= '
	#popular-destinations .btn-transparent,
	#respond input[type="submit"],
	.archive.post-type-archive .wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content #primary .wp-travel-explore a,
	input[type="submit"],
	input[type="submit"],
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.btn-transparent  {
		color: #fff;
	}
	input[type="submit"],
	input[type="submit"]  {
		color: #fff !important;
	}';

	/**
	 * Filters Tourable Pro custom colors CSS.
	 *
	 * @since Tourable Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'tourable_pro_custom_colors_css', $css );
}
